"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.JobFileStorage = void 0;
const file_storage_1 = require("../storage/file-storage");
class JobFileStorage {
    fileStorage;
    constructor(logger, file, pwd) {
        this.fileStorage = new file_storage_1.FileStorage(logger, file, pwd);
    }
    update(jobs) {
        this.fileStorage.save(jobs);
    }
    init() {
        return this.fileStorage.load([]);
    }
}
exports.JobFileStorage = JobFileStorage;
//# sourceMappingURL=job-file-storage.js.map