import { Logger } from "../logger";
import { Job } from "./job";
import { JobsManagerOption } from "./jobs-manager.props";
export declare class JobsManager {
    private logger;
    private concurrent;
    private startProms?;
    private jobs;
    private queueJobs;
    private runningJobs;
    private jobHandler?;
    private jobStorage?;
    private error?;
    constructor(logger: Logger, opts: JobsManagerOption);
    add(job: Job): Promise<void>;
    pullJobToRun(): void;
    start(): Promise<unknown>;
    stop(): void;
}
